<?php
/**
 * Clase Base Bean para BaseArValorBN
 *
 * @package    Sedapal
 * @subpackage BaseArValorBN
 * @author     Willy
 * @version    SVN:: BaseArValorBN.class.php,v 1.1 2020-06-30 13:51:13 william.taype Exp $
 */
abstract class BaseArValorBN
{
  protected $Idvalor;
  protected $Tipovalor;
  protected $Descripcion;
  protected $Valor;
  protected $Topeminimo;
  protected $Topemaximo;
  protected $Estado;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Usuariomodificacion;
  protected $Fechamodificacion;
  protected $Mensaje;
  protected $Error;

  public function getIdvalor(){
    return $this->Idvalor;
  }
  public function setIdvalor($v1){
    $this->Idvalor = $v1; 
  }

  public function getTipovalor(){
    return $this->Tipovalor;
  }
  public function setTipovalor($v1){
    $this->Tipovalor = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getValor(){
    return $this->Valor;
  }
  public function setValor($v1){
    $this->Valor = $v1; 
  }

  public function getTopeminimo(){
    return $this->Topeminimo;
  }
  public function setTopeminimo($v1){
    $this->Topeminimo = $v1; 
  }

  public function getTopemaximo(){
    return $this->Topemaximo;
  }
  public function setTopemaximo($v1){
    $this->Topemaximo = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_valorBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_valorRs )
  {
    $o_ArValorBN = new ArValorBN();
    $o_ArValorBN->setIdvalor( $o_Ar_valorRs['idvalor'] );
    $o_ArValorBN->setTipovalor( $o_Ar_valorRs['tipovalor'] );
    $o_ArValorBN->setDescripcion( $o_Ar_valorRs['descripcion'] );
    $o_ArValorBN->setValor( $o_Ar_valorRs['valor'] );
    $o_ArValorBN->setTopeminimo( $o_Ar_valorRs['topeminimo'] );
    $o_ArValorBN->setTopemaximo( $o_Ar_valorRs['topemaximo'] );
    $o_ArValorBN->setEstado( $o_Ar_valorRs['estado'] );
    $o_ArValorBN->setEliminado( $o_Ar_valorRs['eliminado'] );
    $o_ArValorBN->setFechaeliminado( $o_Ar_valorRs['fechaeliminado'] );
    $o_ArValorBN->setUsuarioeliminado( $o_Ar_valorRs['usuarioeliminado'] );
    $o_ArValorBN->setFecharegistro( $o_Ar_valorRs['fecharegistro'] );
    $o_ArValorBN->setUsuarioregistro( $o_Ar_valorRs['usuarioregistro'] );
    $o_ArValorBN->setUsuariomodificacion( $o_Ar_valorRs['usuariomodificacion'] );
    $o_ArValorBN->setFechamodificacion( $o_Ar_valorRs['fechamodificacion'] );
    return $o_ArValorBN;
  }
}